コンテンツにスキップ
ログイン サインアップ

Google Scholar Author API

Google Scholarの著者の完全なプロフィールを取得します。これには、論文一覧、引用指標、共著者が含まれます。engine=google_scholar_author を設定し、著者のIDを author_id に渡してください。

GET https://serp.shifter.io/v1?engine=google_scholar_author&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyesあなたのSERP APIキー
enginestringyesgoogle_scholar_author を指定する必要があります
author_idstringyesGoogle ScholarのauthorID
devicestringnodesktopmobile、または tablet
view_opstringnoview_citation または list_colleagues
sortstringnotitle または pubdate
citation_idstringnoview_op=view_citation の場合に必須
hlstringnoインターフェース言語コード
startintnoページネーション用の結果オフセット
numintno1ページあたりの結果数
Terminal window
curl "https://serp.shifter.io/v1?engine=google_scholar_author&api_key=YOUR_API_KEY&author_id=LSsXyncAAAAJ"
{
"search_parameters": {
"engine": "google_scholar_author",
"author_id": "LSsXyncAAAAJ"
},
"author": {
"name": "Jane Doe",
"affiliations": "Professor, Stanford University",
"email": "Verified email at stanford.edu",
"interests": [ { "title": "Machine Learning" } ],
"thumbnail": "https://scholar.google.com/citations?view_op=view_photo&user=..."
},
"articles": [
{
"title": "Deep learning for computer vision",
"link": "https://scholar.google.com/citations?view_op=view_citation&...",
"citation_id": "u5HHmVD_uO8C",
"year": "2015",
"cited_by": { "value": 4500 }
}
],
"cited_by": {
"table": [ { "citations": { "all": 12000, "since_2019": 8000 } } ]
}
}